org.apache.hc.core5.testing.classic

## Class LoggingBHttpClientConnectionFactory

- java.lang.Object
- - org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory

- All Implemented Interfaces:
    HttpConnectionFactory<LoggingBHttpClientConnection>

      public class LoggingBHttpClientConnectionFactory
      extends Object
      implements HttpConnectionFactory<LoggingBHttpClientConnection>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingBHttpClientConnectionFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingBHttpClientConnectionFactory()`
    `LoggingBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig)`
    `LoggingBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`
    `LoggingBHttpClientConnectionFactory(Http1Config http1Config, CharCodingConfig charCodingConfig, HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory, HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggingBHttpClientConnection` | `createConnection(Socket socket)` Creates TLS connection with a `SSLSocket` layered over a plain `Socket`.
    `LoggingBHttpClientConnection` | `createConnection(SSLSocket sslSocket, Socket socket)` Creates TLS connection with a `SSLSocket` layered over a plain `Socket`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggingBHttpClientConnectionFactory INSTANCE

  - ### Constructor Detail

    - #### LoggingBHttpClientConnectionFactory

          public LoggingBHttpClientConnectionFactory(Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig,
                                                     ContentLengthStrategy incomingContentStrategy,
                                                     ContentLengthStrategy outgoingContentStrategy,
                                                     HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                                     HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### LoggingBHttpClientConnectionFactory

          public LoggingBHttpClientConnectionFactory(Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig,
                                                     HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory,
                                                     HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### LoggingBHttpClientConnectionFactory

          public LoggingBHttpClientConnectionFactory(Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig)

    - #### LoggingBHttpClientConnectionFactory

          public LoggingBHttpClientConnectionFactory()

  - ### Method Detail

    - #### createConnection

          public LoggingBHttpClientConnection createConnection(Socket socket)
                                                        throws IOException

      Description copied from interface: `HttpConnectionFactory`
      Creates TLS connection with a `SSLSocket` layered over a plain `Socket`.
      Specified by:
        `createConnection` in interface `HttpConnectionFactory<LoggingBHttpClientConnection>`
      Parameters:
        `socket` - the plain socket SSL socket has been layered over.
      Returns:
        a new HttpConnection.
      Throws:
        `IOException` - in case of an I/O error.

    - #### createConnection

          public LoggingBHttpClientConnection createConnection(SSLSocket sslSocket,
                                                               Socket socket)
                                                        throws IOException

      Description copied from interface: `HttpConnectionFactory`
      Creates TLS connection with a `SSLSocket` layered over a plain `Socket`.
      Specified by:
        `createConnection` in interface `HttpConnectionFactory<LoggingBHttpClientConnection>`
      Parameters:
        `sslSocket` - the SSL socket. May be `null`.
        `socket` - the plain socket SSL socket has been layered over.
      Returns:
        a new HttpConnection.
      Throws:
        `IOException` - in case of an I/O error.
      Since:
        5.3

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.